public inbox for gnats-devel@sourceware.org
 help / color / mirror / Atom feed
* PATCH: Add -d option to send-pr v4
@ 2001-05-15  3:28 Yngve Svendsen
  2001-05-27  8:44 ` Milan Zamazal
  0 siblings, 1 reply; 2+ messages in thread
From: Yngve Svendsen @ 2001-05-15  3:28 UTC (permalink / raw)
  To: gnats-devel

The following patch adds support for the -d or --database option in send-pr 
version 4:

Yngve Svendsen


Index: send-pr.sh
===================================================================
RCS file: /cvs/gnats/gnats/send-pr/send-pr.sh,v
retrieving revision 1.16
diff -u -p -r1.16 send-pr.sh
--- send-pr.sh  2001/04/08 18:28:25     1.16
+++ send-pr.sh  2001/05/15 10:24:58
@@ -189,6 +189,7 @@ USAGE="Usage: $COMMAND [OPTION]...

    -b --batch              run without printing most messages
    -c --cc=LINE            put LINE to the CC header
+  -d --database=DATABASE  submit PR to DATABASE
    -f --file=FILE          read the PR template from FILE (\`-' for stdin)
    -p --print              just print the template and exit
       --request-id         send a request for a user id
@@ -222,6 +223,9 @@ while [ $# -gt 0 ]; do
      -c | --cc) if [ $# -eq 1 ]; then echo "$USAGE"; exit 1; fi
         shift ; CC="$1"
         ;;
+    -d | --database) if [ $# -eq 1 ]; then echo "$USAGE"; exit 1; fi
+    shift; GNATSDB="$1"; export GNATSDB
+    ;;
      -s | --severity) if [ $# -eq 1 ]; then echo "$USAGE"; exit 1; fi
         shift ; DEFAULT_SEVERITY="$1"
         ;;

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: PATCH: Add -d option to send-pr v4
  2001-05-15  3:28 PATCH: Add -d option to send-pr v4 Yngve Svendsen
@ 2001-05-27  8:44 ` Milan Zamazal
  0 siblings, 0 replies; 2+ messages in thread
From: Milan Zamazal @ 2001-05-27  8:44 UTC (permalink / raw)
  To: Yngve Svendsen; +Cc: gnats-devel

>>>>> "YS" == Yngve Svendsen <yngve.svendsen@clustra.com> writes:

    YS> The following patch adds support for the -d or --database option
    YS> in send-pr version 4:

Applied, thanks.

Regards,

Milan Zamazal

-- 
Omigod, it's a flame war about a flame war.  You know, a meta-flame war!
                                                 Kenny Tilton in comp.lang.lisp

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2001-05-27  8:44 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2001-05-15  3:28 PATCH: Add -d option to send-pr v4 Yngve Svendsen
2001-05-27  8:44 ` Milan Zamazal

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).